Package: org.gradle.tooling.events

## [Java] Enum OperationType

- org.gradle.tooling.events.OperationType

- Enumerates the different types of operations for which progress events can be received.

  See Also:
    LongRunningOperation.addProgressListener

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `GENERIC` |
    `TASK` |
    `TEST` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### OperationType GENERIC

    - #### OperationType TASK

    - #### OperationType TEST